Subject: Re: bug#62093: [PATCH] Let processes read nothing from stdin in tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 04 Nov 2023 18:42:06 +0100

Aleksander Trofimowicz <[email-masked]> writes:

Hi Alexander,

> This minor patch is about adjustments in the terminal line settings.
>
> There are programs, which control flow depends on receiving 0
> from a read call on stdin. A notable example is git.

I wanted to let you know that I found time to check this. Thanks for the
patch.

I can confirm, that I could reproduce the problem with the recipe given
by Benjamin. And your patch fixes this in my local environment.

Since it is a very low level change, I ran a full test campaign with
recent Tramp 2.6 and your patch over the last days. I've used
tramp-tests.el for this, targeting many different remote hosts. 60
different configurations have passed, but unfortunately, 3
configurations have failed. All of them did fail like

--8<---------------cut here---------------start------------->8---
Running 92 tests (2023-11-04 07:23:29+0100, selector ‘(not (tag :unstable))’)
Remote directory: ‘/sshx:ford|su:albinus@|ssh:albinus@detlef|sudo::/root/tmp’
...
Test tramp-test30-make-process condition:
    (ert-test-failed "`tramp-test30-make-process' timed out")
   FAILED  56/92  tramp-test30-make-process (31.354531 sec) at tramp-tests.el:5354
--8<---------------cut here---------------end--------------->8---

The failed test runs have in common that there is a complex Tramp target
for the test using multi-hops, like above. I suspect a problem with
timing due to the several hops, but I don't know exactly what's up.

Will continue to debug. Just to let you know.

> Thanks,
> at

Best regards, Michael.